game_level_hints.levels["Chapter06_01"] = function()
	return 
    {
		miniscenes({
			intihuatana_present = 
			{
				on_scene("intihuatana_past", click("gui_amulet_inti_past")),
				on_scene("crystals_present", end_level("_area_to_inti"))
			},
			intihuatana_past = 
			{
				on_scene("intihuatana_present", click("gui_amulet_inti_present"))
			},
			crystals_present =
			{
				on_scene("intihuatana_present", end_level("_area_to_crystals")),
				on_scene("crystals_past", click("gui_amulet_crystals_past")),
				on_scene("miniscene_well_present", end_level("to_crystals_present_hints")),
				on_scene("miniscene_well_present", end_level("_area_go_to_crystals_present"))
			},
			miniscene_well_present =
			{
				on_scene("crystals_present", miniscene("area_well_present")),
				on_scene("miniscene_well_past", click("gui_amulet_well_past"))
			},
			crystals_past =
			{
				on_scene("crystals_present", click("gui_amulet_crystals_present")),
				on_scene("secret_room", end_level("_area_go_to_crystals_past")),
				on_scene("miniscene_well_past", end_level("to_crystals_past_hints")),
				on_scene("miniscene_well_past", end_level("_area_go_to_crystals_past"))
			},
			miniscene_door =
			{
				IF(hidden("clip_door_open"), on_scene("crystals_past", miniscene("_area_door")))
			},
			miniscene_window =
			{
				IF(hidden("ray_main"), on_scene("crystals_past", miniscene("_area_window_past"))),
				IF(hidden("ray_main"), on_scene("crystals_present", miniscene("_area_window_present")))
			},
			miniscene_well_past =
			{
				on_scene("crystals_past", miniscene("_area_well_past")),
				on_scene("miniscene_well_present", click("gui_amulet_well_present"))
			},
			secret_room =
			{
				IF(NOT(hidden("clip_door_open")), on_scene("crystals_past", end_level("_area_door"))),
				IF(NOT(hidden("clip_door_open")), on_scene("miniscene_door", end_level("_area_entrance")))
			},
			miniscene_idol01 =
			{
				on_scene("secret_room", miniscene("_area_idol01"))
			},
			miniscene_idol02 =
			{
				on_scene("secret_room", miniscene("_area_idol02"))
			}
		}),
		
		hog_hints("chapter06_hog01"),
		
		on_scene("intihuatana_present", 
		{
			-- чистим отверстия
			IF(NOT(hidden("dirt_fire")), {
				click("_area_for_fire", "Brush")
			}),
			IF(NOT(hidden("dirt_water")), {
				click("_area_for_water", "Brush")
			}),
			IF(NOT(hidden("dirt_earth")), {
				click("_area_for_earth", "Brush")
			}),
			-- вставляем элементы
			IF({hidden("fire_nonactive"), hidden("dirt_fire")}, click("_area_for_fire", "Fire")),
			IF({hidden("water_nonactive"), hidden("dirt_water")}, click("_area_for_water", "Water")),
			IF({hidden("earth_nonactive"), hidden("dirt_earth")}, click("_area_for_earth", "Earth")),
			-- активируем
			IF(NOT(hidden("fire_nonactive")), click("_area_for_fire", "Burning_cane01")),
			IF(NOT(hidden("water_nonactive")), click("_area_for_water", "Wet_brush")),
			IF(NOT(hidden("earth_nonactive")), click("_area_for_earth", "Ground"))
		}),
		
		-- как находим нужные для активации вещи
		IF(on_level("Vase"), on_scene("intihuatana_past", take("Vase", "area_vase05"))),
		IF(in_inv("Vase"), on_scene("intihuatana_past", take("Wet_brush", "area_water"))),
		on_scene("intihuatana_past", IF(on_level("Wet_brush"), click("area_water", "Vase"))),
		on_scene("intihuatana_present", 
		{
			IF(hidden("hole_in_ground"), 
			{
				take("Ground", "_area_ground")
			}),
			IF(on_level("Burning_cane01"), 
			{
				IF(hidden("fireplace"), click("_area_branches", "Magnifier")),
				IF(NOT(hidden("fireplace")), take("Burning_cane01", "_area_branches"))
			})
		}),
		
		-- находим как пройти загадку на инти, проходим ее
		on_scene("crystals_present", minigame("_area_hog01")),
		on_scene("intihuatana_past", 
		{
			IF({on_level("Diamond"), disabled("area_diamond")}, minigame("_area_inti_past")),
			take("Diamond", "area_diamond")
		}),
		
		on_scene("crystals_past", {
			-- смотрим на дверь и видим, что надо три ключа
			IF(disabled("area_seen_mini_door"), minigame("_area_door")),
			-- два ключа в зале кристаллов
			IF(NOT(disabled("area_seen_mini_door")), 
			{
				take("Key02"),
				take("Key03")
			})
		}),
		-- последний ключ
		on_scene("intihuatana_past", IF(NOT(disabled("area_seen_mini_door")),take("Key01"))),
		on_scene("miniscene_door", 
		{
			-- вставляем ключи по одному или все сразу
			click("_area_for_keys", "Key01"),
			click("_area_for_keys", "Key02"),
			click("_area_for_keys", "Key03"),
			click("_area_for_keys", "All_keys")
		}),
		
		IF(disabled("area_seen_secret_room"), 
		{
			-- надо пройти в секретную комнату
			IF(NOT(hidden("clip_door_open")), on_scene("miniscene_door", end_level("_area_entrance"))),
			IF(NOT(hidden("clip_door_open")), on_scene("crystals_past", end_level("_area_door")))			
		}),
		-- повеселить идолов
		on_scene("miniscene_idol01", 
		{
			click("_area_bowl01", "Leafs"),
			IF({NOT(hidden("Leafs_idol")), state("Leafs_idol", "leafs01")}, click("_area_bowl01", "Knife")),
			IF(state("Leafs_idol", "leafs02"), click("_area_bowl01", "Burning_cane02"))
		}),
		on_scene("miniscene_idol02", 
		{
			click("_area_bowl02", "Flowers"),
			IF({NOT(hidden("Flowers_idol")), state("Flowers_idol", "flowers01")}, click("_area_bowl02", "Knife")),
			IF(state("Flowers_idol", "flowers02"), click("_area_bowl02", "Burning_cane02"))
		}),
		on_scene("secret_room", 
		{
			-- приношения идолам не на минисценах
			-- левому
			click("_area_idol01", "Leafs"),
			IF({NOT(hidden("Leafs_idol")), state("Leafs_idol", "leafs01")}, click("_area_idol01", "Knife")),
			IF(state("Leafs_idol", "leafs02"), click("_area_idol01", "Burning_cane02")),
			
			-- правому
			click("_area_idol02", "Flowers"),
			IF({NOT(hidden("Flowers_idol")), state("Flowers_idol", "flowers01")}, click("_area_idol02", "Knife")),
			IF(state("Flowers_idol", "flowers02"), click("_area_idol02", "Burning_cane02")),
			
			IF(state("Totem", "totem02"), click("_area_totem", "Diamond"))
		}),
		
		on_scene("intihuatana_present",
		{
			-- взять все, что надо, для приношения идолу
			IF(NOT(disabled("area_seen_secret_room")), 
			{
				IF(on_level("Leafs"), click("area_leafs_hint", "Knife")),
				IF(on_level("Leafs"), click("_area_leafs", "Knife")),
				take("Leafs", "_area_leafs"),
				IF(on_level("Flowers"), click("_area_pink_flowers", "Knife")),
				take("Flowers", "_area_pink_flowers"),
				IF(NOT(state("Flowers_idol", "flowers03")), 
					{
						take("Burning_cane02", "_area_branches")
				})
			})
		}),
		
		on_scene("crystals_present", IF(NOT(hidden("ray_main")), minigame("area_minigame_present")))
	}
end 